Lookup TIN
curl --request GET \
--url https://api.dojah.io/api/v1/kyc/tin \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.dojah.io/api/v1/kyc/tin"
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AppId: '<appid>', Authorization: '<api-key>'}};
fetch('https://api.dojah.io/api/v1/kyc/tin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"search": "21148119-0001",
"taxpayer_name": "SOLUTIONS NIGERIA LIMITED LAGOS",
"cac_reg_number": "1435631",
"firstin": "21148119-0031",
"jittin": "N/A",
"tax_office": "MSTO IKOYI",
"phone_number": "07852417676",
"email": "tola@hotmail.com"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Lookup TIN
An endpoint allows you to fetch your end user’s details using the Tax Identification Number of the person
GET
/
api
/
v1
/
kyc
/
tin
Lookup TIN
What is TIN ?
TIN means Tax Identification Number. It is an identification number used for tax purposesApplication ID from dashboard
Query parameter
Tax Identification Number
RESPONSES
json
{
"entity": {
"search": "21148119-0001",
"taxpayer_name": "SOLUTIONS NIGERIA LIMITED LAGOS",
"cac_reg_number": "1435631",
"firstin": "21148119-0031",
"jittin": "N/A",
"tax_office": "MSTO IKOYI",
"phone_number": "07852417676",
"email": "tola@hotmail.com"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I